develooper Front page | perl.perl5.porters | Postings from January 2019

[perl #133752] Perl 5.28.1 does not build on macOS 10.14.1 Mojave

Thread Previous
From:
Tony Cook via RT
Date:
January 3, 2019 23:07
Subject:
[perl #133752] Perl 5.28.1 does not build on macOS 10.14.1 Mojave
Message ID:
rt-4.0.24-17449-1546556832-882.133752-15-0@perl.org
On Thu, 03 Jan 2019 12:54:59 -0800, helmut@wollmersdorfer.at wrote:
> Hi,
> 
> tried to install via perlbrew
> 
> - perl-5.26.3
> - perl-5.28.1
> - perl-5.29.6

What happens if you try to build without perlbrew?

I just configured 5.28.1 on OS X 10.13.6 and ld/ldflags/lddlflags are:

ld='cc'
lddlflags=' -mmacosx-version-min=10.13 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector-strong'
ldflags=' -mmacosx-version-min=10.13 -fstack-protector-strong -L/usr/local/lib'

We haven't added the MACOSX_DEPLOYMENT_TARGET for modern OS X since 5.24.

Tony

---
via perlbug:  queue: perl5 status: new
https://rt.perl.org/Ticket/Display.html?id=133752

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About